For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
      • POSTCreate Authorization
      • POSTCreate Access Token
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceOAuth

Create Access Token

POST
https://api.withpersona.com/api/v1/oauth/token
POST
/api/v1/oauth/token
$curl -X POST https://api.withpersona.com/api/v1/oauth/token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -d "code=string" \
> -d "grant-type=authorization_code"
1{
2 "access-token": "persona_access_token_d8b7f084-385f-4ff0-930e-1580ccefa16d",
3 "expires-in": 3599,
4 "scope": "inquiry.read:inq_uX7kRTiBxsJ1sZqPLAsjdP9j inquiry.read:inq_1Uy5ruZb5yZy4zX21KesbtfK",
5 "token-type": "bearer"
6}
Creates an access token using an authorization code.
Was this page helpful?
Previous

List all Rate Limits

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Request

This endpoint expects an object.
codestringRequired
Authorization Code
grant-typestringRequiredDefaults to authorization_code

Must be set to ‘authorization_code’

Response

This endpoint returns an Access Token.
access-tokenstring
Access Token that can be used wherever an API Key would be used.
expires-inintegerDefaults to 0
Number of seconds until the access token expires.
scopestring

Space-separated list of ‘permission:object’ combinations (i.e. inquiry.read:inq_uX7kRTiBxsJ1sZqPLAsjdP9j verification.read:ver_ynYuWdrjwwjiHJ2rgHfSoHeT

token-typestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.